Bug 985675 - Documentation does not tell how to delete a user using oo-admin-ctl-domain
Documentation does not tell how to delete a user using oo-admin-ctl-domain
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
1.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bilhar
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 00:34 EDT by Miciah Dashiel Butler Masters
Modified: 2017-03-08 12 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-27 00:01:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miciah Dashiel Butler Masters 2013-07-18 00:34:45 EDT
Description of problem:
In Section 3.3. "Removing User Data" of the Administration Guide, no command is provided for deleting the user.


Version-Release number of selected component (if applicable):
OpenShift Enterprise Administration Guide Edition 1.2


How reproducible:
Completely.


Steps to Reproduce:
1. Read Section 3.3, Procedure 3.4.


Actual results:
There are steps to delete users' applications and domains, but there is no step for deleting the user.


Expected results:
The following command should be shown for deleting a user:

    # oo-admin-ctl-domain -l username -c delete

Additionally, the guide should explain that the oo-admin-ctl-domain will only delete the user from OpenShift's datastore and will not delete the user from databases outside of OpenShift's datastore that may be storing the user's credentials (e.g., htpasswd, LDAP, or Kerberos).


Additional info:
I am referencing the Administration Guide using the following URL:

https://access.redhat.com/site/documentation/en-US/OpenShift_Enterprise/1/html-single/Administration_Guide/index.html#sect-OpenShift_Enterprise-Administration_Guide-Removing_User_Data

As explained in bug 985670, the command provided for deleting the user's domain actually attempts to delete the user.  Bug 985670 is for fixing the command that is provided so that it really does delete the domain as described.

Note You need to log in before you can comment on or make changes to this bug.